Bug 1736810 - Libreoffice crashes after splashscreen (core-dump)
Summary: Libreoffice crashes after splashscreen (core-dump)
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: libreoffice
Version: 31
Hardware: x86_64
OS: Linux
unspecified
unspecified
Target Milestone: ---
Assignee: Caolan McNamara
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-08-02 05:49 UTC by Onyeibo Oku
Modified: 2019-10-01 00:01 UTC (History)
5 users (show)

Fixed In Version: libreoffice-6.3.0.4-3.fc31 libreoffice-6.3.2.2-1.fc31
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-09-03 19:24:55 UTC


Attachments (Terms of Use)
gdb trace log (12.61 KB, text/plain)
2019-08-02 08:28 UTC, Onyeibo Oku
no flags Details

Description Onyeibo Oku 2019-08-02 05:49:48 UTC
Description of problem:
LibreOffice crashes after displaying the splash screen

Version-Release number of selected component (if applicable):
6.3.0.1-2.fc31

How reproducible:
Constant

Steps to Reproduce:
1. Update Libreoffice from v6.2 to the recent rawhide version (v6.3) above. The behaviour surfaced after an update from 6.2.3.2-2.fc31.
2. Run Libreoffice
3. *crash* -- core-dump

Actual results:
A Crash happens with "core-dump" displayed on the terminal (if executed from the terminal)

Expected results:
A running instance of LibreOffice

Additional info:

Comment 1 Stephan Bergmann 2019-08-02 06:42:45 UTC
With the gdb package installed, please run `soffice --backtrace` from a terminal.  That will run LO from within gdb and will hopefully let gdb produce a backtrace once LO crashes.  Please provide all the output from the terminal here.

Comment 2 Onyeibo Oku 2019-08-02 08:26:45 UTC
500M+ Worth of Debug Package .... my goodness!
Terminal output follows:

$ soffice --backtrace
GNU gdb (GDB) Fedora 8.3.50.20190702-20.fc31
Copyright (C) 2019 Free Software Foundation, Inc.
License GPLv3+: GNU GPL version 3 or later <http://gnu.org/licenses/gpl.html>
This is free software: you are free to change and redistribute it.
There is NO WARRANTY, to the extent permitted by law.
Type "show copying" and "show warranty" for details.
This GDB was configured as "x86_64-redhat-linux-gnu".
Type "show configuration" for configuration details.
For bug reporting instructions, please see:
<http://www.gnu.org/software/gdb/bugs/>.
Find the GDB manual and other documentation resources online at:
    <http://www.gnu.org/software/gdb/documentation/>.

For help, type "help".
Type "apropos word" to search for commands related to "word"...
Reading symbols from /usr/lib64/libreoffice/program/soffice.bin...
Reading symbols from /usr/lib/debug/usr/lib64/libreoffice/program/soffice.bin-6.3.0.1-2.fc31.x86_64.debug...
log will be saved as gdbtrace.log, this will take some time, patience...
Missing separate debuginfo for /usr/lib64/libreoffice/program/libuno_sal.so.3
Try: dnf --enablerepo='*debug*' install /usr/lib/debug/.build-id/6c/d81a35bd9d076b58e59318cc70800adb69e011.debug
Missing separate debuginfo for /usr/lib64/libreoffice/program/libuno_cppu.so.3
Try: dnf --enablerepo='*debug*' install /usr/lib/debug/.build-id/32/d88684fab48ffb0d595f78757bbe76e4bcb429.debug
Missing separate debuginfo for /usr/lib64/libreoffice/program/libuno_cppuhelpergcc3.so.3
Try: dnf --enablerepo='*debug*' install /usr/lib/debug/.build-id/73/b06c2fa225be8a12d31bb57a2d19b7a34378e3.debug
Missing separate debuginfo for /usr/lib64/libreoffice/program/libi18nlangtag.so
Try: dnf --enablerepo='*debug*' install /usr/lib/debug/.build-id/ae/d10dfe0aba7a3c76a7b353646855172aa4c772.debug
Missing separate debuginfo for /usr/lib64/libreoffice/program/libuno_salhelpergcc3.so.3
Try: dnf --enablerepo='*debug*' install /usr/lib/debug/.build-id/86/49717b83e0ea07bb54053f28d73bec2f89fd1e.debug
Missing separate debuginfo for /usr/lib64/libreoffice/program/libreglo.so
Try: dnf --enablerepo='*debug*' install /usr/lib/debug/.build-id/1c/6435e3fbb1783188404d1b86c7a50b1906017a.debug
Missing separate debuginfo for /usr/lib64/libreoffice/program/libunoidllo.so
Try: dnf --enablerepo='*debug*' install /usr/lib/debug/.build-id/e6/e324831ccf18f492dafff028f191aec8c71ef6.debug
Missing separate debuginfo for /usr/lib64/libreoffice/program/libxmlreaderlo.so
Try: dnf --enablerepo='*debug*' install /usr/lib/debug/.build-id/b8/ec9459942528ea4791abe7de12dee316cd38ee.debug
Missing separate debuginfo for /usr/lib64/libreoffice/program/libjvmfwklo.so
Try: dnf --enablerepo='*debug*' install /usr/lib/debug/.build-id/b0/095ccda0dcf7c0bd3d7d20e5acc2d1b008f9e7.debug
Missing separate debuginfo for /usr/lib64/libreoffice/program/libjvmaccesslo.so
Try: dnf --enablerepo='*debug*' install /usr/lib/debug/.build-id/45/80ed3a501e3966508469786e3cb064879a522b.debug
Missing separate debuginfo for /usr/lib64/libreoffice/program/libstorelo.so
Try: dnf --enablerepo='*debug*' install /usr/lib/debug/.build-id/17/b33ffeea7dd9d5841431e11fb953f19672e8df.debug
[Detaching after fork from child process 12483]
Missing separate debuginfo for /usr/lib64/libreoffice/program/libvclplug_gtk3lo.so
Try: dnf --enablerepo='*debug*' install /usr/lib/debug/.build-id/64/3f40bb9145d3c83d0ddc53c071a6263922fc24.debug
Missing separate debuginfo for /usr/lib64/libreoffice/program/libgcc3_uno.so
Try: dnf --enablerepo='*debug*' install /usr/lib/debug/.build-id/57/8adcc883d8db2ad29ec6eade43366a57934d7d.debug
Missing separate debuginfo for /usr/lib64/libreoffice/program/libsal_textenclo.so
Try: dnf --enablerepo='*debug*' install /usr/lib/debug/.build-id/c8/3955fafa4c159a011315f6e5f149d01e0f7a6c.debug
Missing separate debuginfo for /usr/lib64/libreoffice/program/libstocserviceslo.so
Try: dnf --enablerepo='*debug*' install /usr/lib/debug/.build-id/cb/d8937d63a3c7a3d3a28257e569428677c5629c.debug
X server found. dri2 connection failed! 
X server found. dri2 connection failed! 
X server found. dri2 connection failed! 
X server found. dri2 connection failed! 
X server found. dri2 connection failed! 
X server found. dri2 connection failed! 
X server found. dri2 connection failed! 
X server found. dri2 connection failed! 
X server found. dri2 connection failed! 
X server found. dri2 connection failed! 
X server found. dri2 connection failed! 
X server found. dri2 connection failed! 
X server found. dri2 connection failed! 
X server found. dri2 connection failed! 
X server found. dri2 connection failed! 
X server found. dri2 connection failed! 
X server found. dri2 connection failed! 
[Detaching after vfork from child process 12520]

Comment 3 Onyeibo Oku 2019-08-02 08:28:29 UTC
Created attachment 1599564 [details]
gdb trace log

More details

Comment 4 Stephan Bergmann 2019-08-02 09:02:24 UTC
(In reply to Onyeibo Oku from comment #3)
> Created attachment 1599564 [details]
> gdb trace log

...the relevant parts being

> Thread 16 "soffice.bin" received signal SIGILL, Illegal instruction.
> [Switching to Thread 0x7fffe1759700 (LWP 12515)]
> 0x00007fffd9fdf433 in _pocl_kernel_DynamicKernel_workgroup () from /home/twohot/.cache/pocl/kcache/FE/HCFHDPAMAHMNKMMPEKLJMJLCJHKFOOEGPONBK/DynamicKernel/64-1-1/DynamicKernel.so
> #0  0x00007fffd9fdf433 in _pocl_kernel_DynamicKernel_workgroup () at /home/twohot/.cache/pocl/kcache/FE/HCFHDPAMAHMNKMMPEKLJMJLCJHKFOOEGPONBK/DynamicKernel/64-1-1/DynamicKernel.so
> #1  0x0000000000000000 in  ()
[...]
> Thread 1 (Thread 0x7fffef57ec80 (LWP 12472)):
> #0  0x00007ffff7908d45 in pthread_cond_wait@@GLIBC_2.3.2 () at /lib64/libpthread.so.0
> #1  0x00007fffd9f251b3 in  () at /lib64/libpocl.so.2.3.0
> #2  0x00007fffd9f0627e in  () at /lib64/libpocl.so.2.3.0
> #3  0x00007fffd9fa701d in clFinish () at /lib64/libOpenCL.so.1
> #4  0x00007ffff700438b in (anonymous namespace)::evaluateScoreForDevice(ds_device&, std::unique_ptr<(anonymous namespace)::LibreOfficeDeviceEvaluationIO, std::default_delete<(anonymous namespace)::LibreOfficeDeviceEvaluationIO> > const&) (rDevice=..., testData=std::unique_ptr<(anonymous namespace)::LibreOfficeDeviceEvaluationIO> = {...}) at /usr/src/debug/libreoffice-6.3.0.1-2.fc31.x86_64/opencl/source/opencl_device.cxx:255
> #5  0x00007ffff7004bdb in (anonymous namespace)::profileDevices (pTestData=std::unique_ptr<(anonymous namespace)::LibreOfficeDeviceEvaluationIO> = {...}, pProfile=std::unique_ptr<ds_profile> = {...}) at /usr/src/debug/libreoffice-6.3.0.1-2.fc31.x86_64/opencl/source/opencl_device.cxx:325
> #6  0x00007ffff7004bdb in getDeviceSelection(rtl::OUString const&, bool) (sProfilePath="/home/twohot/.config/libreoffice/4/cache/", bForceSelection=bForceSelection@entry=false) at /usr/src/debug/libreoffice-6.3.0.1-2.fc31.x86_64/opencl/source/opencl_device.cxx:543
> #7  0x00007ffff7002240 in openclwrapper::switchOpenCLDevice(rtl::OUString const*, bool, bool, rtl::OUString&) (pDevice=pDevice@entry=0x7fffffffd0d8, bAutoSelect=bAutoSelect@entry=true, bForceEvaluation=bForceEvaluation@entry=false, rOutSelectedDeviceVersionIDString="") at /usr/src/debug/libreoffice-6.3.0.1-2.fc31.x86_64/opencl/source/openclwrapper.cxx:785
> #8  0x00007ffff7ee99e0 in desktop::Desktop::CheckOpenCLCompute(com::sun::star::uno::Reference<com::sun::star::frame::XDesktop2> const&) (xDesktop=uno::Reference to (framework::Desktop *) 0x555556575878) at /usr/src/debug/libreoffice-6.3.0.1-2.fc31.x86_64/include/com/sun/star/uno/Any.hxx:342
> #9  0x00007ffff7ec4e3f in desktop::Desktop::Main() (this=0x7fffffffd4a0) at /usr/src/debug/libreoffice-6.3.0.1-2.fc31.x86_64/desktop/source/app/app.cxx:1574
> #10 0x00007ffff4a75001 in ImplSVMain() () at /usr/src/debug/libreoffice-6.3.0.1-2.fc31.x86_64/vcl/source/app/svmain.cxx:201
> #11 0x00007ffff7eeb207 in soffice_main() () at /usr/src/debug/libreoffice-6.3.0.1-2.fc31.x86_64/desktop/source/app/sofficemain.cxx:170
> #12 0x00005555555550c0 in sal_main () at /usr/src/debug/libreoffice-6.3.0.1-2.fc31.x86_64/desktop/source/app/main.c:48
> #13 0x00005555555550c0 in main (argc=<optimized out>, argv=<optimized out>) at /usr/src/debug/libreoffice-6.3.0.1-2.fc31.x86_64/desktop/source/app/main.c:47

Comment 5 Ben Cotton 2019-08-13 18:36:21 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 31 development cycle.
Changing version to 31.

Comment 6 Onyeibo Oku 2019-08-27 13:47:03 UTC
Experiencing this with version 6.3.0.4-3.fc32 and likewise with 6.3.0.4-4 from TDF.
Downgrading back to 6.2.3.2-2.fc31

Comment 7 Pierre Juhen 2019-08-27 18:29:27 UTC
Same issue for me.

Fatal exception: Signal 11

Stack:
/usr/lib64/libreoffice/program/libuno_sal.so.3(+0x3cc93)[0x7fdfedf3ac93]
/usr/lib64/libreoffice/program/libuno_sal.so.3(+0x3ce0a)[0x7fdfedf3ae0a]
/lib64/libc.so.6(+0x37f00)[0x7fdfedc59f00]
/usr/lib64/libreoffice/program/libuno_cppu.so.3(+0x17387)[0x7fdfed363387]
/usr/lib64/libreoffice/program/libuno_cppu.so.3(uno_type_any_assign+0x93)[0x7fdfed3627b3]
/usr/lib64/libreoffice/program/libutllo.so(+0x68551)[0x7fdfeac8a551]
/usr/lib64/libreoffice/program/libutllo.so(+0x689da)[0x7fdfeac8a9da]
/usr/lib64/libreoffice/program/libutllo.so(_ZN3utl10ConfigItemC2ERKN3rtl8OUStringE14ConfigItemMode+0x80)[0x7fdfeac7fab0]
/usr/lib64/libreoffice/program/libutllo.so(+0xac95c)[0x7fdfeacce95c]
/usr/lib64/libreoffice/program/libutllo.so(_ZN19SvtSysLocaleOptionsC1Ev+0x129)[0x7fdfeaccfe29]
/usr/lib64/libreoffice/program/libvcllo.so(_Z7InitVCLv+0x19b)[0x7fdfea8f82eb]
/usr/lib64/libreoffice/program/libvcllo.so(_Z10ImplSVMainv+0x125)[0x7fdfea8f9885]
/usr/lib64/libreoffice/program/libsofficeapp.so(soffice_main+0x97)[0x7fdfede876d7]
/usr/lib64/libreoffice/program/soffice.bin(+0x10c0)[0x55ad845240c0]
/lib64/libc.so.6(__libc_start_main+0xf3)[0x7fdfedc45f33]
/usr/lib64/libreoffice/program/soffice.bin(+0x10fe)[0x55ad845240fe]

Comment 8 Pierre Juhen 2019-08-27 19:41:56 UTC
Wiping out .config/libreoffice solved my issue.

Comment 9 Onyeibo Oku 2019-08-27 21:45:03 UTC
(In reply to Pierre Juhen from comment #8)
> Wiping out .config/libreoffice solved my issue.

That didn't work for me

Comment 10 Caolan McNamara 2019-08-29 18:07:41 UTC
We used to have opencl disabled by default in Fedora. After https://cgit.freedesktop.org/libreoffice/core/commit/?id=101eea01c778ad255d3c8467e06643b23ff6bd76 went in I removed our explicit disable in favor of expecting that to work, so readding the opencl disable probably would help here

Comment 11 Onyeibo Oku 2019-08-31 05:50:37 UTC
Can we get the above fix into Rawhide as well? Rawhide is currently at fc32, with the latest Libreoffice bearing 6.3.0.4-3.fc32

Comment 12 Fedora Update System 2019-08-31 12:07:21 UTC
FEDORA-2019-eab739948e has been submitted as an update to Fedora 31. https://bodhi.fedoraproject.org/updates/FEDORA-2019-eab739948e

Comment 13 Caolan McNamara 2019-08-31 12:08:34 UTC
It should appear in rawhide as libreoffice-6.3.0.4-5.fc32 sometime during the w/e

Comment 14 Fedora Update System 2019-08-31 20:16:48 UTC
libreoffice-6.3.0.4-3.fc31 has been pushed to the Fedora 31 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-eab739948e

Comment 15 Fedora Update System 2019-09-03 11:17:44 UTC
FEDORA-2019-3859165911 has been submitted as an update to Fedora 31. https://bodhi.fedoraproject.org/updates/FEDORA-2019-3859165911

Comment 16 Onyeibo Oku 2019-09-03 15:58:10 UTC
https://koji.fedoraproject.org/koji/buildinfo?buildID=1368452 resolves this report.  To CLOSE or not to CLOSE?

Comment 17 Fedora Update System 2019-09-03 18:45:52 UTC
libreoffice-6.3.0.4-4.fc31 has been pushed to the Fedora 31 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-3859165911

Comment 18 Caolan McNamara 2019-09-03 19:24:55 UTC
confirmed to work then, close is fine

Comment 19 Fedora Update System 2019-09-06 08:06:47 UTC
FEDORA-2019-8619c0859d has been submitted as an update to Fedora 31. https://bodhi.fedoraproject.org/updates/FEDORA-2019-8619c0859d

Comment 20 Fedora Update System 2019-09-06 10:46:22 UTC
libreoffice-6.3.1.2-1.fc31 has been pushed to the Fedora 31 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-8619c0859d

Comment 21 Fedora Update System 2019-09-27 07:52:16 UTC
FEDORA-2019-55cf712d09 has been submitted as an update to Fedora 31. https://bodhi.fedoraproject.org/updates/FEDORA-2019-55cf712d09

Comment 22 Fedora Update System 2019-09-28 00:53:19 UTC
libreoffice-6.3.2.2-1.fc31 has been pushed to the Fedora 31 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-55cf712d09

Comment 23 Fedora Update System 2019-10-01 00:01:06 UTC
libreoffice-6.3.2.2-1.fc31 has been pushed to the Fedora 31 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.